- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnPointOnSurfaceManip Class Reference

# OpenMayaUI - API module for user interface | FunctionSet classes

Search for all occurrences

## Detailed Description

PointOnSurfaceManip function set.

The PointOnSurfaceManip allows the user to manipulate a point constrained to move along a surface, in order to specify the (u, v) surface parameter values. This manipulator generates two floating point values corresponding to the surface (u, v) parameters.

Examples:

  surfaceBumpManip.cpp.

`#include <MFnPointOnSurfaceManip.h>`

Inheritance diagram for MFnPointOnSurfaceManip:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnPointOnSurfaceManip ()
| Destructor.
| MFnPointOnSurfaceManip ()
| Default constructor.
| MFnPointOnSurfaceManip (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
| MFnPointOnSurfaceManip (const MDagPath &object, MStatus *ret=NULL)
| Constructor.
MObject | create (MStatus *ReturnStatus=NULL)
| Creates a new PointOnSurfaceManip.
MObject | create (const MString &manipName, const MString &paramName, MStatus *ReturnStatus=NULL)
| Creates a new PointOnSurfaceManip.
MStatus | connectToSurfacePlug (MPlug &surfacePlug)
| Connect to the surface plug.
MStatus | connectToParamPlug (MPlug &paramPlug)
| Connect to the param plug.
MStatus | setDrawSurface (bool state)
| Sets whether or not the surface is drawn.
MStatus | setDrawArrows (bool state)
| Sets whether or not the arrows should be drawn.
MStatus | setParameters (double u, double v)
| Sets the u and v parameters.
MStatus | getParameters (double &u, double &v)
| Returns the parameter.
bool | isDrawSurfaceOn (MStatus *ReturnStatus=NULL) const
| Returns whether or not the surface is drawn.
unsigned int | surfaceIndex (MStatus *ReturnStatus=NULL) const
| Returns the index of the surface.
unsigned int | paramIndex (MStatus *ReturnStatus=NULL) const
| Returns the index of the parameter of the PointOnSurfaceManip.
| MFnPointOnSurfaceManip (const MObject &object, MStatus *ret=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

~MFnPointOnSurfaceManip | ( |  | ) | `[virtual]`

Destructor.

Class destructor.

MFnPointOnSurfaceManip | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnPointOnSurfaceManip | ( | const MDagPath & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given constant MDagPath object.

Parameters:

  [in] | object | The const MDagPath to attach the function set to
  [out] | ReturnStatus | The return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnPointOnSurfaceManip | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kPointOnSurfaceManip.

Reimplemented from MFnManip3D.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnPointOnSurfaceManip".

Reimplemented from MFnManip3D.

MObject create | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Creates a new PointOnSurfaceManip.

This function set's object is set to be the new manipulator.

This method should only be used to create a non-composite PointOnSurfaceManip.

The name that appears in the feedback line is "param"

Parameters:

  [out] | ReturnStatus | return status

Returns:
  Newly created PointOnSurfaceManip

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MObject create | ( | const MString & | manipName,
|  | const MString & | paramName,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Creates a new PointOnSurfaceManip.

This function set's object is set to be the new manipulator.

This method should only be used to create a non-composite PointOnSurfaceManip.

The name that appears in the feedback line is specified by the paramName argument.

Parameters:

  [in] | manipName | Name of the manip for UI purposes.
  [in] | paramName | Label for the parameter value which appears in the feedback line
  [out] | ReturnStatus | Status code.

Returns:
  Newly created PointOnSurfaceManip.

Status Codes:
  - MS::kSuccess Operation successful.
  - MS::kFailure Operation failed.

Reimplemented from MFnDependencyNode.

MStatus connectToSurfacePlug | ( | MPlug & | surfacePlug | ) |

Search for all occurrences

Connect to the surface plug.

The data type corresponding to the surfacePlug is MFnData::kNurbsSurface.

Parameters:

  [in] | surfacePlug | the surface plug

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus connectToParamPlug | ( | MPlug & | paramPlug | ) |

Search for all occurrences

Connect to the param plug.

The data type corresponding to the paramPlug is MFnNumericData::k2Double.

Parameters:

  [in] | paramPlug | the param plug

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setDrawSurface | ( | bool | state | ) |

Search for all occurrences

Sets whether or not the surface is drawn.

Parameters:

  [in] | state | whether or not the surface should be drawn

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setDrawArrows | ( | bool | state | ) |

Search for all occurrences

Sets whether or not the arrows should be drawn.

Parameters:

  [in] | state | whether or not the arrows should be drawn

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus setParameters | ( | double | u,
|  | double | v
| ) |  |

Search for all occurrences

Sets the u and v parameters.

Parameters:

  [in] | u | u parameter
  [in] | v | v parameter

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MStatus getParameters | ( | double & | u,
|  | double & | v
| ) |  |

Search for all occurrences

Returns the parameter.

Parameters:

  [out] | u | u parameter
  [out] | v | v parameter

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

bool isDrawSurfaceOn | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns whether or not the surface is drawn.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  - true the surface is being drawn
  - false the surface is not being drawn

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

unsigned int surfaceIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the index of the surface.

The data type corresponding to this index is MFnData::kNurbsSurface.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  Surface index

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

unsigned int paramIndex | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the index of the parameter of the PointOnSurfaceManip.

The data type corresponding to this index is MFnNumericData::k2Double.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  Parameter index

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

MFnPointOnSurfaceManip MFnPointOnSurfaceManip MFnPointOnSurfaceManip MFnPointOnSurfaceManip MFnPointOnSurfaceManip MFnPointOnSurfaceManip MFnPointOnSurfaceManip MFnPointOnSurfaceManip MFnPointOnSurfaceManip MFnPointOnSurfaceManip
MFnPointOnSurfaceManip MFnPointOnSurfaceManip MFnPointOnSurfaceManip MFnPointOnSurfaceManip MFnPointOnSurfaceManip MFnPointOnSurfaceManip MFnPointOnSurfaceManip MFnPointOnSurfaceManip MFnPointOnSurfaceManip MFnPointOnSurfaceManip